Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.renderkit.html
Class RepeatRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.ajax4jsf.renderkit.RendererBase
              org.ajax4jsf.renderkit.html.RepeatRenderer

All Implemented Interfaces:
  org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.resource.ResourceProduser

    public class RepeatRenderer

extends org.ajax4jsf.renderkit.RendererBase

Author:
  shura

Field Summary

Fields inherited from class org.ajax4jsf.renderkit.RendererBase
`JAVASCRIPT_NAMESPACE`

Constructor Summary
`RepeatRenderer()`

Method Summary
`void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`protected java.lang.Class` | `getComponentClass()`
`boolean` | `getRendersChildren()`

Methods inherited from class org.ajax4jsf.renderkit.RendererBase
`addResource, decode, doDecode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepeatRenderer

    public RepeatRenderer()

Method Detail

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `org.ajax4jsf.renderkit.RendererBase`
  Throws:
    `java.io.IOException`

### getComponentClass

    protected java.lang.Class getComponentClass()

  Specified by:
    `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

### getRendersChildren

    public boolean getRendersChildren()

  Overrides:
    `getRendersChildren` in class `javax.faces.render.Renderer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.